Ticket #143 (closed bug: fixed)

Opened 6 years ago

Last modified 6 years ago

jack server crashing with Saffire LE on Ubuntu Gutsy

Reported by: furenku Assigned to: ppalmers
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO 2.0-beta6 (1.999.36)
Keywords: Cc:
The device the bug applies to:

Description

I am working with Supercollider + WineAsio?; after some time (haven't been able to find a pattern in the amount of time it takes for this to happen) Supercollider server (Segmentation fault) and all the connections from Jack are reset. Most times, Jack winds up stopping itself, but sometimes it keeps going and I have to reset all the connections manually, because the Patchbay does not work after this crash. Other times Jack just stops.

Attachments

furenku-ffadoTicket.tar (1.6 MB) - added by furenku on 07/08/08 23:13:33.
debug log and system info as required in README file

Change History

07/08/08 23:13:33 changed by furenku

  • attachment furenku-ffadoTicket.tar added.

debug log and system info as required in README file

07/14/08 03:04:26 changed by ppalmers

  • owner set to ppalmers.
  • status changed from new to assigned.

You are using the Ricoh rev05 controller:

03:01.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10 [OHCI])

which is not very good.

So the following happened:

08918990075: Fatal (IsoHandlerManager.cpp)[ 274] Execute: (0x8079388, Receive) Handler died: now: A12448E0, last: 9923D3C1, diff: 98326815 (max: 98304000)
08918990107: Warning (StreamProcessor.cpp)[ 108] handlerDied: Handler died for 0x8105758

which means that your host controller stopped requesting packets.

The following kernel driver patch should fix this: http://subversion.ffado.org/wiki/TxSkipPatched

But keep in mind that you are never going to have impressive performance from this controller.

09/23/08 01:37:16 changed by ppalmers

  • status changed from assigned to closed.
  • resolution set to fixed.